[已解决]ubuntu 8.04 不能安装virtualbox 1.5.6

为当前最终发行版之前的所有版本提供支持
回复
uaihai
帖子: 7
注册时间: 2007-05-01 0:29
送出感谢: 0
接收感谢: 0
联系:

[已解决]ubuntu 8.04 不能安装virtualbox 1.5.6

#1

帖子 uaihai » 2008-04-07 16:53

我刚刚安装的804 内核升级到
Linux version 2.6.24-15-generic (buildd@rothera) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Fri Apr 4 03:48:31 UTC 2008
下载的virtualbox的安装包virtualbox_1.5.6-28266_Ubuntu_gutsy_i386.deb 报
Modprobe vboxdrv failed. Please use 'dmesg' to find out why . 查看文件/var/log/vbox-install.log
Makefile:75: *** Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again。 停止。

是不是需要安装linux核心的源码阿?请高人指教!!
上次由 uaihai 在 2008-04-09 14:10,总共编辑 1 次。
头像
bocelli99
帖子: 525
注册时间: 2007-07-10 12:16
送出感谢: 0
接收感谢: 0

#2

帖子 bocelli99 » 2008-04-07 17:15

LZ的内核是2.6.24-15-generic , 怎么又用i386的包

http://wiki.ubuntu.com.cn/index.php?tit ... iant=zh-cn
头像
gaint_star
帖子: 413
注册时间: 2008-02-20 0:09
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 gaint_star » 2008-04-07 17:34

生活就像对待Linux一样,要敢于折腾也要学会折腾。
──────────────────────────────────
@picobird
uaihai
帖子: 7
注册时间: 2007-05-01 0:29
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 uaihai » 2008-04-08 10:29

按照楼上两位的介绍重新下载安装包:virtualbox_1.5.6-28266_Ubuntu_hardy_i386.deb 双击安装,报错:
VirtualBox will not start until this problem is fixed. Please consult /var/log/vbox-install.log to find out why the kernel module does not compile. Most probably the kernel sources were not found. Install them and execute

/etc/init.d/vboxdrv setup

as root.
日志/var/log/vbox-install.log
Makefile:75: *** Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again。 停止。

似乎问题依旧??????????我下载来新的linux源码
头像
gaint_star
帖子: 413
注册时间: 2008-02-20 0:09
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 gaint_star » 2008-04-08 12:24

先做这一步骤试试吧,理应可以安装的
我的内核升级到15之后又重新安装过一次的

代码: 全选

sudo apt-get install build-essential
sudo apt-get install linux-headers-`uname -r`


然后再安装virtualbox

Install them and execute

/etc/init.d/vboxdrv setup

as root.
日志/var/log/vbox-install.log
Makefile:75: *** Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again。 停止。
上次由 gaint_star 在 2008-04-08 15:22,总共编辑 1 次。
生活就像对待Linux一样,要敢于折腾也要学会折腾。
──────────────────────────────────
@picobird
palomino
帖子: 15
注册时间: 2006-06-29 16:29
送出感谢: 0
接收感谢: 0

#6

帖子 palomino » 2008-04-08 14:30

uaihai 写了:按照楼上两位的介绍重新下载安装包:virtualbox_1.5.6-28266_Ubuntu_hardy_i386.deb 双击安装,报错:
VirtualBox will not start until this problem is fixed. Please consult /var/log/vbox-install.log to find out why the kernel module does not compile. Most probably the kernel sources were not found. Install them and execute

/etc/init.d/vboxdrv setup

as root.
日志/var/log/vbox-install.log
Makefile:75: *** Error: unable to find the sources of your current Linux kernel. Specify KERN_DIR=<directory> and run Make again。 停止。

似乎问题依旧??????????我下载来新的linux源码


楼主您运行 /etc/init.d/vboxdrv setup 了么?
头像
carbont
帖子: 3406
注册时间: 2007-11-22 10:20
来自: 北京
送出感谢: 0
接收感谢: 1 次

#7

帖子 carbont » 2008-04-08 14:55

8.04还真是beta,别玩得太深了……
可能一个解决不了的问题,一更新就全好了……
lenovo Thinkpad R60i 0657 LHC
windowsXP……准备换回ubuntu了。

Twitter: @carbont
uaihai
帖子: 7
注册时间: 2007-05-01 0:29
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 uaihai » 2008-04-09 14:02

问题已经解决!!!!!多谢各位的帮助!!现总结如下:
1.下载正确的virtualbox1.56 安装包,即virtualbox_1.5.6-28266_Ubuntu_hardy_i386.deb 下载地址见楼上的回复。
2.安装deb包之前一定要安装 sudo apt-get install build-essential
sudo apt-get install linux-headers-`uname -r`
原来是安装过这两个包的 ,系统自动升级了核心模块没有再次更新上述两个模块,所以报错。 :lol:
3.在virtualbox1.5.6里安装winxp 时出现键盘不好用的问题!!解决办法:关闭虚拟机的'自动捕获键盘',同时关闭输入法scim的加载。安装成功后再打开输入法。

目前的问题是在虚拟机的XP下不能使用USB鼠标,只能使用小红帽(我的是T60)。期待新的补丁。

由此看来,安定团结的局面很重要阿!!稳定和谐环境更重要阿!!想尝试新潮的东西就是要付出代价啊!!!
头像
gaint_star
帖子: 413
注册时间: 2008-02-20 0:09
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 gaint_star » 2008-04-10 0:29

我的也是usb鼠标,正常
这个可能跟usb配置有关,启用usb功能了?


至于键盘不好用的问题以前也出现过
重新安装之后似乎就OK了!
生活就像对待Linux一样,要敢于折腾也要学会折腾。
──────────────────────────────────
@picobird
uaihai
帖子: 7
注册时间: 2007-05-01 0:29
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 uaihai » 2008-04-10 16:38

确实跟usb鼠标设置有关系,取消usb鼠标设置就好了。
头像
百草谷居士
帖子: 2939
注册时间: 2006-02-10 16:36
系统: ubuntu18.04/Win10
送出感谢: 17 次
接收感谢: 31 次
联系:

#11

帖子 百草谷居士 » 2008-04-25 17:21

关闭虚拟机的'自动捕获键盘'

这个在什么地方设置呀?
友帮拓,真难听。有没有接触官方的老大?给改了吧!
一直想找一个在linux下的Visual FoxPro/access桌面数据库。MUIBase还算是最相近的。
头像
metro
帖子: 29
注册时间: 2007-06-10 20:57
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 metro » 2008-04-28 9:45

我装的是virtualbox_1.5.6-28266_Ubuntu_gutsy_i386.deb,我的系统是8。04的,也出现了键盘不能用的情况,按照你说的,关闭“自动捕获键盘”后,在就成功了,不需要关闭scim,也没有需要第2步。
但问题是,我不能在安装好以后的xp界面中使用键盘,只能用鼠标,并且不能将鼠标运用于xp窗口之外,也就是说,能在在xp中使用,对了ubuntu界面无法响应我的鼠标和键盘。
senjury
帖子: 18
注册时间: 2008-03-17 18:05
送出感谢: 0
接收感谢: 0

#13

帖子 senjury » 2008-05-01 5:28

键盘问题安装scim-bridge-client-qt包就可以了
头像
cnshzj007
帖子: 685
注册时间: 2006-05-24 21:38
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 cnshzj007 » 2008-05-14 13:35

代码: 全选

sudo apt-get install linux-headers-`uname -r` 
关键是这一个。我就是安装这个后就OK了。
我只是一个ARCH的FANS,来自RH和UBUNTU的滋润!
回复

回到 “老旧版本支持”